package com.cool.store.enums.point;

import java.util.Objects;

/**
 * @author zhangchenbiao
 * @FileName: ShopStageEnum
 * @Description:店铺阶段
 * @date 2024-04-10 17:34
 */
public enum ShopSubStageFieldEnum {

    SHOP_STAGE_3(30, "系统建店", "systemSetup"),
    SHOP_STAGE_4(40, "证照办理", "licenseProcessing"),
    SHOP_STAGE_5(50, "员工招聘", "trainingRegistration"),
    SHOP_STAGE_6(60, "加盟商/员工培训", "trainingForFranchisee"),
    SHOP_STAGE_7(70, "缴纳加盟费/保证金", "franchiseFeeDeposit"),
    SHOP_STAGE_8( 80, "加盟合同签约", "contractSigning"),
    SHOP_STAGE_9( 90, "设计阶段", "storeDesign"),
    SHOP_STAGE_11(110, "施工阶段", "construction"),
    SHOP_STAGE_12(120, "三方验收", "tripleAcceptance"),
    SHOP_STAGE_13(130, "视觉验收", "visualAcceptance"),
    SHOP_STAGE_14(140, "开业运营方案", "marketPlanning"),
    SHOP_STAGE_15(150, "首批订货清单", "initialDeliveryList"),
    ;
    
    //子阶段
    private Integer shopSubStage;

    //子阶段名称
    private String shopSubStageName;

    //属性名称
    private String filed;

    ShopSubStageFieldEnum(Integer shopSubStage, String shopSubStageName, String planCompleteDays) {
        this.shopSubStage = shopSubStage;
        this.shopSubStageName = shopSubStageName;
        this.filed = planCompleteDays;
    }


    public Integer getShopSubStage() {
        return shopSubStage;
    }

    public String getShopSubStageName() {
        return shopSubStageName;
    }


    public String getFiled() {
        return filed;
    }

    public static ShopSubStageFieldEnum getByShopSubStage(Integer shopSubStage) {
        if(Objects.isNull(shopSubStage)){
            return null;
        }
        for (ShopSubStageFieldEnum value : ShopSubStageFieldEnum.values()) {
            if (value.getShopSubStage().equals(shopSubStage)) {
                return value;
            }
        }
        return null;
    }
}
